import {
	myRequest
} from '../request.js'
export default {
	//新增招聘用户简历
	addrecruitresume(data) {
		return myRequest({
			url: '/recruit/resume',
			method: 'post',
			data: data
		})
	},
	//修改招聘用户简历
	editrecruitresume(data) {
		return myRequest({
			url: '/recruit/resume/edit',
			method: 'post',
			data: data
		})
	},
	//查询招聘用户简历列表
	recruitresumelist(data) {
		return myRequest({
			url: '/recruit/resume/list',
			method: 'get',
			data: data
		})
	},
	//获取招聘用户简历详细信息
	recruitresumeId(data) {
		return myRequest({
			url: '/recruit/resume/' + data,
			method: 'get'
		})
	},
	//投递简历
	systemInterview(data) {
		return myRequest({
			url: '/system/interview',
			method: 'post',
			data: data
		})
	},
	//修改招聘面试关联
	editsysteminterview(data) {
		return myRequest({
			url: '/system/interview/edit',
			method: 'post',
			data: data
		})
	},
	//查询邀请面试列表
	systeminterviewlist(data) {
		return myRequest({
			url: '/system/interview/list',
			method: 'get',
			data: data
		})
	},
	//全部投递面试简历列表
	systeminterviewlistAll(data) {
		return myRequest({
			url: '/system/interview/listAll',
			method: 'get',
			data: data
		})
	},
	//获取招聘面试关联详细信息
	systeminterviewId(data) {
		return myRequest({
			url: '/system/interview/' + data,
			method: 'get'
		})
	},
}
